package prevoz;

import java.util.ArrayList;
import java.util.List;

public class Linija {
	private String naziv;
	private String smerA, smerB;
	private List<Stajaliste> stajalista = new ArrayList<>();
	
	public Linija(String naziv, String smerA, String smerB) {
		super();
		this.naziv = naziv;
		this.smerA = smerA;
		this.smerB = smerB;
	}
	
	public void dodaj(Stajaliste s) {
		this.stajalista.add(s);
	}
	
	public String naziv() {
		return naziv;
	}
	
	public List<Stajaliste> stajalista(){return stajalista;}
	
	public static Linija parsiraj(String s) {
		Linija l = null;
		
		String naziv = "";
		String smerA = "";
		String smerB = "";
		
		l = new Linija(naziv, smerA, smerB);
		
		return l;
	}
	
	@Override
	public String toString() {
		return String.format("%5s  %15s - %s", naziv, smerA, smerB);
	}
}
